.fork {
  background: center url("./images/fork/fork-bg-mobile.jpg");
  background-size: cover;
  background-repeat: no-repeat;

  padding-top: 14px;
  padding-bottom: 15px;

  @media (min-width: $tablet-bp) {
    background: center url("./images/fork/fork-bg-tablet.jpg");

    padding-top: 88px;
    padding-bottom: 94px;
  }

  @media (min-width: $desktop-bp) {
    background: center url("./images/fork/fork-bg-desktop.jpg");

    padding-top: 112px;
    padding-bottom: 73px;
  }
}

.fork__header {
  @include text-style(28px, 42px, $primary-color, 700);

  margin: 0;
  margin-bottom: 32px;

  @media (min-width: $tablet-bp) {
    font-size: 42px;
    line-height: 44px;

    margin-bottom: 39px;
  }

  @media (min-width: $desktop-bp) {
    font-size: 48px;
    line-height: 50px;

    margin-bottom: 61px;
  }
}

.fork__card-wrapper {
  @include flex(center);
  flex-wrap: wrap;
  row-gap: 18px;

  @media (min-width: $tablet-bp) {
    column-gap: 25px;
    row-gap: 30px;
  }

  @media (min-width: $desktop-bp) {
    column-gap: 15px;
  }
}

.fork__card {
  width: 257px;
  height: 457px;

  &:nth-child(3) {
    width: 299px;
    height: 560px;
  }
}

.fork__card-title {
  @include text-style(24px, 24px, $primary-color);
  text-transform: uppercase;
  background-color: rgba($color: $primary-color, $alpha: 0.06);

  padding: ((97px - 24) / 2) 0; //padding top and bottom = (height of element as in layout - lineHeight) divided by 2
  margin: 0;

  &--hovered {
    background-color: rgba($color: #000, $alpha: 0.11);

    padding: ((111px - 24) / 2) 0; //padding top and bottom = (height of element as in layout - lineHeight) divided by 2
  }
}

.fork__body-wrapper {
  background-color: rgba($color: $primary-color, $alpha: 0.11);

  width: 257px;
  height: 360px;
  padding-top: 30px;

  &--hovered {
    background-color: rgba($color: #463048, $alpha: 0.84);

    width: 299px;
    height: 449px;
    padding-top: 14px;
  }
}

.fork__price {
  @include text-style(60px, 62px, $primary-color);

  margin: 0;
  margin-bottom: 20px;

  &--hovered {
    font-size: 82px;
    line-height: 84px;

    margin-bottom: 16px;
  }
}

.fork__period {
  @include text-style(14px, 16px, $primary-color);
  text-transform: uppercase;

  position: relative;

  &::after {
    content: "";
    width: 60px;
    height: 5px;
    background-color: $secondary-color;

    position: absolute;
    top: 38px + 18px; //bottom margin as in layout + line height
    left: 50%;
    transform: translate(-50%);
  }

  &--hovered {
    &::after {
      top: 46px + 18px; //bottom margin as in layout + line height
    }
  }
}

.fork__description-wrapper {
  margin-top: 73px;
  margin-bottom: 38px;

  @include flex(space-between);
  flex-direction: column;
  height: 44px;

  &--hovered {
    height: 48px;
    margin-top: 91px;
    margin-bottom: 83px;
  }
}

.fork__description {
  @include text-style(16px, 18px, $primary-color);
  text-transform: capitalize;

  margin: 0;
}

.fork__purchase-bttn {
  background-color: rgba($color: $primary-color, $alpha: 0.15);
  border: none;
  border-radius: 40px;

  cursor: pointer;

  @include text-style(15px, 15px, $primary-color);
  text-transform: uppercase;

  width: 163px;
  height: 45px;

  &--hovered {
    width: 190px;
    height: 52px;

    font-size: 16px;
    line-height: 18px;
  }
}
